Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(11)

Issue 2888283002: Add a mock vision-common GMS client target (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by paulmiller
Modified:
4 months ago
CC:
chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add a mock vision-common GMS client target Upcoming GMS versions will split the vision client into vision and vision-common. In order to roll downstream, we must add an upstream dependency on vision-common. But upstream is not yet ready to roll, so we add a mock vision-common target to temporarily satisfy the new dependency in upstream builds. BUG=706943 CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.mac:mac_optional_gpu_tests_rel Review-Url: https://codereview.chromium.org/2888283002 Cr-Commit-Position: refs/heads/master@{#473268} Committed: https://chromium.googlesource.com/chromium/src/+/420cf37ad0ddf1c54203a4fdffb68af920503b0e

Patch Set 1 #

Total comments: 2
Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -0 lines) Patch
M build/secondary/third_party/android_tools/BUILD.gn View 1 chunk +8 lines, -0 lines 0 comments Download
M services/shape_detection/BUILD.gn View 1 chunk +1 line, -0 lines 2 comments Download
Trybot results:  linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_optional_gpu_tests_rel   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   android_n5x_swarming_rel   linux_android_rel_ng   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_optional_gpu_tests_rel   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   chromeos_amd64-generic_chromium_compile_only_ng   android_n5x_swarming_rel   cast_shell_android   linux_android_rel_ng   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 17 (10 generated)
paulmiller
On 2017/05/18 01:50:32, paulmiller wrote: > mailto:paulmiller@chromium.org changed reviewers: > + mailto:agrieve@chromium.org, mailto:reillyg@chromium.org PTAL, agrieve@ ...
4 months ago (2017-05-18 01:51:23 UTC) #4
Reilly Grant (use Gerrit)
lgtm https://codereview.chromium.org/2888283002/diff/1/services/shape_detection/BUILD.gn File services/shape_detection/BUILD.gn (right): https://codereview.chromium.org/2888283002/diff/1/services/shape_detection/BUILD.gn#newcode79 services/shape_detection/BUILD.gn:79: "$google_play_services_package:google_play_services_vision_java", I assume we will need to depend ...
4 months ago (2017-05-18 04:55:22 UTC) #7
paulmiller
https://codereview.chromium.org/2888283002/diff/1/services/shape_detection/BUILD.gn File services/shape_detection/BUILD.gn (right): https://codereview.chromium.org/2888283002/diff/1/services/shape_detection/BUILD.gn#newcode79 services/shape_detection/BUILD.gn:79: "$google_play_services_package:google_play_services_vision_java", On 2017/05/18 04:55:22, Reilly Grant wrote: > I ...
4 months ago (2017-05-18 18:46:36 UTC) #10
agrieve
On 2017/05/18 18:46:36, paulmiller wrote: > https://codereview.chromium.org/2888283002/diff/1/services/shape_detection/BUILD.gn > File services/shape_detection/BUILD.gn (right): > > https://codereview.chromium.org/2888283002/diff/1/services/shape_detection/BUILD.gn#newcode79 > ...
4 months ago (2017-05-19 13:52:00 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2888283002/1
4 months ago (2017-05-19 17:09:14 UTC) #13
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/420cf37ad0ddf1c54203a4fdffb68af920503b0e
4 months ago (2017-05-19 19:06:03 UTC) #16
paulmiller
4 months ago (2017-05-19 20:38:33 UTC) #17
Message was sent while issue was closed.
A revert of this CL (patchset #1 id:1) has been created in
https://codereview.chromium.org/2893093002/ by paulmiller@chromium.org.

The reason for reverting is: broke downstream.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b